<?php


#Дуэли

$title = 'Дуэли';
include_once '../protected/sys.php';


?>
	<center>
		<img src ='/imgData/loc/back.jpg' width='100%'/>
	</center>

<?


$statusMy = $db->rows("SELECT `user`,`status` FROM `duel` WHERE `user`=? and `status`='invite' OR `status`='fight'",
																									array($user['id']));


if ($statusMy == 1)
{
	$dataDuel = $db->fetch("SELECT * FROM `duel` WHERE `user`=? and `status`='invite'",
																							array($user['id']));

	$opponent = $db->fetch("SELECT * FROM `users` WHERE `id`=?",
													array($dataDuel['usto']));

	if ($dataDuel['timedel']-time()<1)
	{
		$del = $db->query("DELETE FROM `duel` WHERE `id`=?",
											array($dataDuel['id']));

		$_SESSION['info'] = 'Заявка была удалена!';
		header("Location:/fights/duels");
		exit;
	}

	if (isset($_GET['cancel']))
	{
		$stmt=  $db->query("DELETE FROM `duel` WHERE `id`=?",
							array($dataDuel['id']));
		header("Location:/fights/duels");
		exit;
	}


	?>
	<div class ='menu'/>
		<center>
			Заявка отправлена
		</center>
	</div>
	<div class ='menu'/>
		Ожидайте принятия заявки игроком : <a href ='/user?id=<?=$opponent['id'];?>'> <?=$opponent['login'];?></a>
	</div>
	<a class ='mbtn mb2' href ='?cancel'/>
	 <img src ='/imgData/static/q1.png'/>	Отменить
	</a>
	<a class ='menu' href ='?refresh=<?=rand(199,299);?>'/>
	 <img src ='/imgData/static/q4.png'/>	Обновить
	</a>
	<div class ='menu'/>
		<center>

			По истечению времени заявка автоматически удалиться.
		</center>
		<center>
			<span class ='grey2'/>
				<?=($dataDuel['timedel']-time());?> сек.
			</span>
		</center>
	</div>
	<?
}  else {

	if (isset($_GET['form']))
	{
		$to =  trim(htmlspecialchars($_POST['to']));

		$toCheck =  $db->rows("SELECT `login` FROM `users` WHERE `login`=?",
								array($to));

		if ($toCheck == 0)
		{
			$err = 'Такой пользователь не найден!';
		}

		$usto = $db->fetch("SELECT `id`,`login` FROM `users` WHERE `login`=?",
							array($to));

		$checkDuel = $db->rows("SELECT `usto`,`status` FROM `duels` WHERE `usto`=? and `status`=?",
									array($usto['id'],'fight'));

		if ($checkDuel == 1)
		{
			$err = 'Данный пользователь в бою.';
		}


		if ($err )
		{
			$_SESSION['error'] =&$err;
			header("Location:/fights/duels");
			exit;
		} else {
			$inviteDuel = $db->query("INSERT INTO `duel` SET `user`=?,`usto`=?,`timedel`=?,`status`=?",
										array($user['id'],$usto['id'],(time()+300),'invite'));
			$_SESSION['info'] = 'Заявка отправлена!';
			header("Location:/fights/duels");
			exit;
		}
	}

	?>

	<div class ='content'/>
		<center>
			Тут вы можете сразиться с другими игроками в режиме реального времени.
		</center>
	</div>
	<div class ='menu'/>
		<center>
			<form action = '?form' method='post'/>
				Введите ник оппонента!
				<br/>
				<input type ='text' class ='input' name ='to' />
				<br/>
				<span class="ubtn inbl green">
					<span class="ul">
						<input class="ur" value="Бросить вызов" type="submit">
					</span>
				</span>
			</form>
		</center>
	</div>
	<div class ='content'/>
		<center>
			Последние дуэли
		</center>
	</div>
	<div class='content'/>
	<?php

	$dataLastDuels = $db->fetchAll("SELECT * FROM `duel` WHERE `status`!='fight' and `status`!='invite' 
																			ORDER BY `id` LIMIT 10");

	if (is_array($dataLastDuels))
	{
		foreach ($dataLastDuels  as $duel)
		{
			$op1 = $db->fetch("SELECT `id`,`login` FROM `users` WHERE `id`=?",
														array($duel['user']));
			$op2 = $db->fetch("SELECT `id`,`login` FROM `users` WHERE `id`=?",
														array($duel['usto']));

			?>
			<?=$op1['login'];?> VS <?=$op2['login'];?> 
			<span style ='float:right; margin-left:2px;'/>
			Победил:
				<?=($duel['status'] == 'winUs'? $op1['login'] : $op2['login']);?>
			</span>
			<?
		}	
	}

	?>
	</div>
	<a class ='menu' href ='?vievtop'/> Топ 10 дуэлянтов </a>
	<?
}



include_once $config['root'].'/protected/footermain.php';